package net.northking.cctp.element.internal.dto;


public class ColumnDTO {

    /**
     * 所属域
     */
    private String domain;

    /**
     * 是否socket报文头字段
     */
    private String isHead;
    private String dataValue;
    /**
     * 数据值类型$$$0-明文输入,1-HEX输入
     */
    private Integer dataValueType;

    /**
     * 所属域中文名
     */
    private String chName;
    private String dataTypeDesc;
    private String fieldTypeDesc;
    private String fieldLength;


    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getIsHead() {
        return isHead;
    }

    public void setIsHead(String isHead) {
        this.isHead = isHead;
    }

    public String getDataValue() {
        return dataValue;
    }

    public void setDataValue(String dataValue) {
        this.dataValue = dataValue;
    }

    public Integer getDataValueType() {
        return dataValueType;
    }

    public void setDataValueType(Integer dataValueType) {
        this.dataValueType = dataValueType;
    }

    public String getChName() {
        return chName;
    }

    public void setChName(String chName) {
        this.chName = chName;
    }

    public String getDataTypeDesc() {
        return dataTypeDesc;
    }

    public void setDataTypeDesc(String dataTypeDesc) {
        this.dataTypeDesc = dataTypeDesc;
    }

    public String getFieldTypeDesc() {
        return fieldTypeDesc;
    }

    public void setFieldTypeDesc(String fieldTypeDesc) {
        this.fieldTypeDesc = fieldTypeDesc;
    }

    public String getFieldLength() {
        return fieldLength;
    }

    public void setFieldLength(String fieldLength) {
        this.fieldLength = fieldLength;
    }
}
